PHP Manual
Prev |  | Next

# imap_get_quotaroot

(PHP 4 >= 4.3.0, PHP 5)

imap_get_quotaroot -- Retrieve the quota settings per user

## Description

array imap_get_quotaroot ( resource imap_stream, string quota_root )

Retrieve the quota settings per user. The limit value represents the total amount of space allowed for this user's total mailbox usage. The usage value represents the user's current total mailbox capacity.

## Parameters

`imap_stream`

  An IMAP stream returned by imap_open().

`quota_root`

  `quota_root` should normally be in the form of which mailbox (i.e. INBOX).

## Return Values

Returns an array of integer values pertaining to the specified user mailbox. All values contain a key based upon the resource name, and a corresponding array with the usage and limit values within.

This function will return `FALSE` in the case of call failure, and an array of information about the connection upon an un-parsable response from the server.

## Examples

Example 1. imap_get_quotaroot() example

`<?php
$mbox = imap_open("{imap.example.org}", "kalowsky", "password", OP_HALFOPEN)
or die("can't connect: " . imap_last_error());
$quota = imap_get_quotaroot($mbox, "INBOX");
if (is_array($quota)) {
$storage = $quota_values['STORAGE'];
echo "STORAGE usage level is: " . $storage['usage'];
echo "STORAGE limit level is: " . $storage['limit'];
$message = $quota_values['MESSAGE'];
echo "MESSAGE usage level is: " . $message['usage'];
echo "MESSAGE limit level is: " . $message['limit'];
/* ... */
}
imap_close($mbox);
?>`

## Notes

This function is currently only available to users of the c-client2000 or greater library.

The `imap_stream` should be opened as the user whose mailbox you wish to check.

## See Also

imap_open()
imap_set_quota()
imap_get_quota()

Prev | Home | Next
imap_get_quota | Up | imap_getacl